<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreatePhpSettingsCustom extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('PhpSettingsCustom', [
            'description' => 'Holds custom php settings',
            'columns' => [
                'id' => ['type' => self::TYPE_FOREIGN_KEY, 'foreignKey' => 'PhpSettings.id', 'deleteCascade' => true],
                'value' => self::TYPE_TEXT,
            ],
            'indexes' => [
                'id' => [
                    'type' => self::INDEX_PRIMARY,
                    'columns' => ['id'],
                ],
            ],
        ]);
    }
}
